/// <reference types="node" />
import { Service, PlatformAccessory, CharacteristicValue } from 'homebridge';
import { InsteonLocalPlatform } from './InsteonLocalPlatform';
import { Moment } from 'moment';
export declare class InsteonLocalAccessory {
    private readonly platform;
    private readonly accessory;
    service: Service;
    private readonly log;
    private hub;
    private light;
    device: any;
    name: string;
    id: string;
    deviceType: string;
    dimmable: boolean;
    level: number;
    currentState: any;
    disabled: boolean;
    lastUpdate: Moment;
    refreshInterval: number;
    targetKeypadID: string;
    targetKeypadSixBtn: number;
    targetKeypadBtn: string;
    setTargetKeypadCount: number;
    lastCommand: Moment;
    levelTimeout: any;
    six_btn: any;
    keypadbtn: any;
    buttonMap: string;
    pollTimer: NodeJS.Timeout;
    iolinc: any;
    invert_sensor: unknown;
    groupMembers: any;
    groupID: any;
    momentary: any;
    gdo_delay: any;
    valve_delay: any;
    stateless: any;
    button: any;
    four_btn: any;
    position: any;
    disableBatteryStatus: any;
    house: any;
    unit: any;
    statusLowBattery: boolean;
    heartbeatTimer: NodeJS.Timeout;
    deadDeviceTimer: NodeJS.Timeout;
    leaksensor: any;
    motionsensor: any;
    motionDetected: boolean;
    door: any;
    targetState: unknown;
    accessories: Array<InsteonLocalAccessory>;
    handleRemoteEvent: any;
    serviceCO: any;
    thermostat: any;
    units: any;
    tempUnits: any;
    mode: string;
    currentTemp: any;
    targetTemp: any;
    refresh: number;
    constructor(platform: InsteonLocalPlatform, accessory: PlatformAccessory);
    init(): void;
    setAccessoryInformation(): void;
    setBrightnessLevel(level: CharacteristicValue): Promise<void>;
    getStatus(): Promise<void>;
    getSceneState(): void;
    pollStatus(): void;
    getOutletState(): void;
    getFanState(): void;
    getSensorStatus(callback: any): void;
    identify(): void;
    setFanState(level: any): void;
    setPowerState(state: any): void;
    setTargetKeypadBtn(callback?: any): void;
    getGroupMemberStatus(): void;
    setSceneState(state: any): void;
    setRelayState(state: any): void;
    getPosition(): void;
    setOutletState(state: any): void;
    setKeypadState(state: any): void;
    setX10PowerState(state: any): void;
    setPosition(level: any): void;
    getThermostatStatus(): void;
    setTemperature(temp: any): void;
    getTemperature(): void;
    setThermostatMode(mode: any): void;
}
//# sourceMappingURL=InsteonLocalAccessory.d.ts.map